AMD Catalyst 11.8 Preview Driver OpenGL 4.2 (8.88.8 August 8)

Discussion in 'Videocards - AMD Radeon Drivers Section' started by asder00, Aug 10, 2011.

Tags:
  1. kpo6969

    kpo6969 Master Guru

    Messages:
    587
    Likes Received:
    0
    GPU:
    MSI GTX 1070 Gaming
    Confused here about 4.2 support.
    Viewer is up to date 081111
    Here is mine with 6850

    [​IMG]

    See here:

    http://www.geeks3d.com/20110812/glview-4-02-released-with-opengl-4-2-support/

    [​IMG]
     
  2. Plug2k

    Plug2k Ancient Guru

    Messages:
    1,505
    Likes Received:
    11
    GPU:
    2x Gigabyte Fe 1080TI +WB
  3. k1net1cs

    k1net1cs Ancient Guru

    Messages:
    3,783
    Likes Received:
    0
    GPU:
    Radeon HD 5650m (550/800)
    @kpo6969
    Basically what Plug2k said.
    Don't use 4.1 Forward-Compatible Context.
    Even the article you've referred to has been updated to reflect the same thing.
     
  4. Evomasta

    Evomasta Member

    Messages:
    24
    Likes Received:
    0
    GPU:
    Sapphire Radeon 5970 2gb
    Heres my result on a Radeon 5970, whats going on here im only getting 1 supported??

    [​IMG]
     

  5. MerolaC

    MerolaC Ancient Guru

    Messages:
    3,630
    Likes Received:
    482
    GPU:
    MSI 5600XT G. MX
    Don't use forward context!
     
  6. kpo6969

    kpo6969 Master Guru

    Messages:
    587
    Likes Received:
    0
    GPU:
    MSI GTX 1070 Gaming
    :rolleyes:

    What does that mean, sorry I'm not a gamer. Thanks
     
  7. Evomasta

    Evomasta Member

    Messages:
    24
    Likes Received:
    0
    GPU:
    Sapphire Radeon 5970 2gb
    Nevermind i turned it off and same results.

    [​IMG]
     
    Last edited: Aug 13, 2011
  8. MerolaC

    MerolaC Ancient Guru

    Messages:
    3,630
    Likes Received:
    482
    GPU:
    MSI 5600XT G. MX
  9. Evomasta

    Evomasta Member

    Messages:
    24
    Likes Received:
    0
    GPU:
    Sapphire Radeon 5970 2gb
    Wait hold up a sec. :bang: it says i still have 8.88.3 installed wtf. brb going to reinstall and driversweep

    EDIT: Sorry bout that im an idiot. lol there we go.

    [​IMG]
     
    Last edited: Aug 13, 2011
  10. kpo6969

    kpo6969 Master Guru

    Messages:
    587
    Likes Received:
    0
    GPU:
    MSI GTX 1070 Gaming
    Thank you.
     

  11. Espionage724

    Espionage724 Guest

    My OGL Extensions Viewer reports the same thing as above (with only Shader Lanauge 4.2 as unsupported) on my Radeon HD 5570 (no context profile).

    Speaking of this context profile thing, how would games react? Are they using the 4.1 context profile for OGL information, or are they using the actual driver-reported info?
     
  12. k1net1cs

    k1net1cs Ancient Guru

    Messages:
    3,783
    Likes Received:
    0
    GPU:
    Radeon HD 5650m (550/800)
    Games usually would just specify the OpenGL extensions and/or functions they want to use, regardless of which specs the driver currently supports.
    If the driver doesn't support it, either it'd use a fallback function, break the game, or simply won't run.
     
  13. xtremegamer

    xtremegamer Guest

    VLC Gpu Acceleration is still broken with this driver.....:(
     
  14. Espionage724

    Espionage724 Guest

    Whats wrong with it? I thought it worked fine for me when I had it enabled in the past
     
  15. Elajitz

    Elajitz Master Guru

    Messages:
    718
    Likes Received:
    73
    GPU:
    RTX 2080TI Ventus
    this drivers rocks!..:wanker:
     

  16. xtremegamer

    xtremegamer Guest

    no mate, it's not working with 11.8p and 11.8 OpenGL 4.2 drivers im on VLC 1.1.11 Latest build, when i play any videos Eg: WMV or MKV files it's flickering [GPU Acceleration enabled] No prblms while disabled...... But 11.7 has no problems with GPu Acceleration enabled plays good.....
     
  17. Scyphe

    Scyphe Master Guru

    Messages:
    426
    Likes Received:
    1
    GPU:
    MSI Radeon 7950@1150/1700
    Changed the "default" Forward Context to HD 6900 Series and now I get 11/12 as well. Better. Still not 100% (Full) support though since it doesn't have Shaders 4.2.

    But it's simply an academic issue since I know of no OpenGL 4.2 apps or games to date.
     
  18. Elajitz

    Elajitz Master Guru

    Messages:
    718
    Likes Received:
    73
    GPU:
    RTX 2080TI Ventus
    info from everest system tool

    OpenGL features:
    Dealer ATI Technologies Inc.
    Renderer ATI Mobility Radeon HD 5800 Series
    Version 4.2.11017 Compatibility Profile Context
    Shading language version 4.10
    OpenGL DLL 6.1.7600.16385 (win7_rtm.090713-1255)
    Multitexture Texture Units 8
    Occlusion Query Counter Bits 32
    Sub-Pixel Precision 8-bit
    Max Viewport Size 16384 x 16384
    Max Cube Map Texture Size 16384 x 16384
    Max Rectangle Texture Size 16384 x 16384
    Max 3D Texture Size 8192 x 8192 x 8192
    Max Anisotropy 16
    Maximum Clipping Planes 8
    Max Display List Nesting Level 64
    Max Draw Buffers 8
    Max Evaluator Order 40
    Max Light Sources 8
    Maximum Pixel Map Table Size 256
    Min / Max Software Texel Offset -8 / 7
    Max Texture Layers Array 8192
    Max Texture LOD Bias 16

    OpenGL compliancy:
    OpenGL 1.1 Yes (100%)
    OpenGL 1.2 Yes (100%)
    OpenGL 1.3 Yes (100%)
    OpenGL 1.4 Yes (100%)
    OpenGL 1.5 Yes (100%)
    OpenGL 2.0 Yes (100%)
    OpenGL 2.1 Yes (100%)
    OpenGL 3.0 Yes (100%)
    OpenGL 3.1 Yes (100%)
    OpenGL 3.2 Yes (100%)
    OpenGL 3.3 Yes (100%)
    OpenGL 4.0 Yes (100%)
    OpenGL 4.1 Yes (100%)
    OpenGL 4.2 Not listed Hue?? why?
     
  19. Scyphe

    Scyphe Master Guru

    Messages:
    426
    Likes Received:
    1
    GPU:
    MSI Radeon 7950@1150/1700
    OpenGL 4.2 was announced just a week ago, you'll need an updated Everest with support for OpenGL 4.2.
     
  20. Elajitz

    Elajitz Master Guru

    Messages:
    718
    Likes Received:
    73
    GPU:
    RTX 2080TI Ventus

    Okay! thx :)
     

Share This Page